JavaScript

安装 【Visual Studio Code】vscode 弹出警告

daimafengzi · 6月22日 · 2023年 · 本文共886个字 · 预计阅读3分钟8次已读

前言

在安装vs code 的时候,突然跳出这么一个警告,看得我是一头雾水。

This User Installer is not meant to be run as an Administrator. If you would like to install VS Code for all users in this system, download the System Installer instead from https://code.visualstudio.com. Are you sure you want to continue?

安装 【Visual Studio Code】vscode 弹出警告
翻译过来的大概意思是说:

[blockquote2 name=’引用’]

此安装程序不能在管理员账户下运行。如果你想在这个系统中为所有用户安装 VS Code,请从https://code.visualstudio.com下载系统安装程序。您确定要继续吗?

[/blockquote2]

解释

用通俗易懂的话说,就是安装程序不对。
那为什么不对呢?原因是 vs code 有两个版本,一个是普通用户版本(User Installer),一个是系统用户版本(System Installer)。在360,QQ管家之类的软件管家和vs code 官网首页直接下载的默认是普通用户版本,即 User Installer 。而如果你是使用 administrator 这个用户登录的系统,就会有这个提示出现,因为 User Installer 不能在超级管理员用户下安装,需要下载 System Installer 版本。

解决办法

  1. 具体步骤是打开 vs code 官网,点击右边的 download 按钮

安装 【Visual Studio Code】vscode 弹出警告

  1. 然后在下载页面的 windows 版本下面,就会看到有三个不同的版本

安装 【Visual Studio Code】vscode 弹出警告

  1. 根据你登录的用户来选择对应的版本,比如我是 administrator 用户(超级管理员),下载的是上图红框中的 System Installer 后面对应的版本。

总结

不管是User Installer 版本还是System Installer 版本,都需要根据你当前的系统数位来选择, 如果你是 64 位系统,就点 64bit 下载,如果是32位系统,就点 32bit 下载,后面那个不用管,看不懂的肯定用不上,能看懂的也不需要我多说啥。

0 条回应